Main Page Modules Alphabetical List Data Structures File List Data Fields Globals

# gnc-hbci-trans-templ.h File Reference

`#include "gnc-numeric.h"`
`#include "kvp_frame.h"`

## Constructor

GNCTransTempl * | gnc_trans_templ_new (void)
GNCTransTempl * | gnc_trans_templ_new_full (const char *name, const char *recp_name, const char *recp_account, const char *recp_bankcode, gnc_numeric amount, const char *purpose, const char *purpose_cont)
void | gnc_trans_templ_delete (GNCTransTempl *t)
void | gnc_trans_templ_delete_glist (GList *l)

## Serialization -- to kvp_frame and back

GNCTransTempl * | gnc_trans_templ_from_kvp (kvp_frame *k)
kvp_frame * | gnc_trans_templ_to_kvp (const GNCTransTempl *t)
GList * | gnc_trans_templ_glist_from_kvp_glist (GList *v)
GList * | gnc_trans_templ_kvp_glist_from_glist (GList *k)

## GNCTransTempl value access

const char * | gnc_trans_templ_get_name (const GNCTransTempl *t)
const char * | gnc_trans_templ_get_recp_name (const GNCTransTempl *t)
const char * | gnc_trans_templ_get_recp_account (const GNCTransTempl *t)
const char * | gnc_trans_templ_get_recp_bankcode (const GNCTransTempl *t)
gnc_numeric | gnc_trans_templ_get_amount (const GNCTransTempl *t)
const char * | gnc_trans_templ_get_purpose (const GNCTransTempl *t)
const char * | gnc_trans_templ_get_purpose_cont (const GNCTransTempl *t)

## GNCTransTempl value storing

void | gnc_trans_templ_set_name (GNCTransTempl *t, const char *)
void | gnc_trans_templ_set_recp_name (GNCTransTempl *t, const char *)
void | gnc_trans_templ_set_recp_account (GNCTransTempl *t, const char *)
void | gnc_trans_templ_set_recp_bankcode (GNCTransTempl *t, const char *)
void | gnc_trans_templ_set_amount (GNCTransTempl *t, gnc_numeric)
void | gnc_trans_templ_set_purpose (GNCTransTempl *t, const char *)
void | gnc_trans_templ_set_purpose_cont (GNCTransTempl *t, const char *)

## Typedefs

typedef _trans_data | GNCTransTempl

## Detailed Description

Templates for HBCI transactions

## Typedef Documentation

typedef struct _trans_data GNCTransTempl

| A template for a HBCI transaction

## Function Documentation

GNCTransTempl* gnc_trans_templ_from_kvp | ( | kvp_frame * | k | ) |

| Constructor from a kvp_frame

gnc_numeric gnc_trans_templ_get_amount | ( | const GNCTransTempl * | t | ) |

| Amount

const char* gnc_trans_templ_get_purpose | ( | const GNCTransTempl * | t | ) |

| Purpose, description

GList* gnc_trans_templ_glist_from_kvp_glist | ( | GList * | v | ) |

| Creates a GList of GNCTransTempl from a GList of kvp_values which in turn contain a kvp_frame.

GList* gnc_trans_templ_kvp_glist_from_glist | ( | GList * | k | ) |

| Creates a GList of kvp_value (which in turn contain a kvp_frame) from a GList of GNCTransTempl.

void gnc_trans_templ_set_amount | ( | GNCTransTempl * | t,
|  | gnc_numeric | n
| ) |

| value storing. This sucks even more. barf barf barf again

void gnc_trans_templ_set_purpose | ( | GNCTransTempl * | t,
|  | const char * |
| ) |

| Purpose, description

kvp_frame* gnc_trans_templ_to_kvp | ( | const GNCTransTempl * | t | ) |

| Creates a kvp_frame from this TransTempl